/*
    General / All NRA
 */
.nra-datePickerIcon {
    float: right;
    margin-right: 10px;
    margin-top: -26px;
    position: relative;
    z-index: 1;
}

.nra-input-sm {
    height: 32px !important;
}

.nra-row-margin-bottom {
    margin-bottom: 10px !important;
}

.nra-action-button {
    cursor: pointer;
    color: #FFFFFF;
    padding: 2px;
    border-color: #0062cc;
    border: solid 1px #0a1a72;
    border-radius: 4px;
    background-color: #005398;
    font-weight: 900;
    font-size: 1.05em;
    letter-spacing: 0.1em;
}

.nra-action-button:hover {
    color: #FFFFFF;
    background-color: #37B504;
}

.display-only > input {
    border: none !important;
    background-color: #FFFFFF;
}

.display-only > label:after {
    content: "" !important;
}

.display-only > select {
    border: none !important;
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
    width: 100% !important;
    clear: both !important;
    letter-spacing: 0.03em;
    opacity: 1.0 !important;
    color: #545454 !important; /* match other fields */
}

.display-only > select::-ms-expand {
    display: none;
}

/*
    Session Create
 */
h1 {
    font-family: "Open Sans", sans-serif;
    font-weight: 100;
    font-style: normal;
    font-size: 30px;
    text-align: center;
    text-rendering: optimizeLegibility;
    font-feature-settings: "kern" 1;
    -webkit-font-feature-settings: "kern";
    -moz-font-feature-settings: "kern";
    -moz-font-feature-settings: "kern=1";
    font-kerning: normal;
    color: #333333;
    margin-bottom: 20px;
}

.icon::before {
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
}

[aria-hidden="true"] {
    opacity: 0;
    position: absolute;
    z-index: -9999;
    pointer-events: none;
}

#togglePassword .fa-eye[aria-hidden="true"], #togglePassword .fa-eye-slash[aria-hidden="true"]{
    opacity: 1;
    position: static;
    z-index: auto;
}

.session-details .session-details-time-location-details .session-details-passcode-col{
    padding: 0;
    flex: 0 0 auto;
    max-width: 120px;
}

.session-details .session-details-time-location-details .session-details-password-container{
    flex-wrap: nowrap;
}

.session-details .session-details-password-container .passcode-toggle-icon-container{
    padding: 0 0 0 5px;
}

#list-container .acknowledgement-message-container{
    padding: 10px 0px 4px 10px;
    margin: 0 0 10px 0px;
    background-color: #f2f2f2;
}

label,
p.psw-fieldInfo,
a.psw-fieldInfo {
    font-size: 0.9em;
}

p.psw-fieldInfo {
    margin-left: 19px;
    color: #333333;
}

label.psw-radioOption {
    font-size: 1em;
    font-weight: 400;
}

.psw-hidden-input {
    display: none;
}

.psw-setup-panel {
    /* position: -webkit-sticky; */
    position: -webkit-sticky;
    position: sticky;
    top: 0px;
    background-color: #FFFFFF;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
}

.psw-prevBtn {
    margin-left: 10px;
}
.psw-wizard {
    counter-reset: stepNo;
    display: -webkit-flex;
    display: -ms-flex;
    display: flex;
    margin: 0;
    padding: 0;
}

.psw-wizard-step {
    -webkit-flex: 1 0 0px;
    -ms-flex: 1 0 0px;
    flex: 1 0 0px;
    list-style: none;
    padding: 0;
}

.psw-wizard-step.psw-examType-print-shipping{
    flex: 2!important;
}

.psw-wizard-step.psw-examType-print-shipping br{
    display: none;
}

.psw-wizard-step:last-child::before {
    border: 0 none;
}

.psw-wizard-step:last-child:nth-child(2) {
    max-width: calc(100% / 2);
}

.psw-wizard-step:last-child:nth-child(3) {
    max-width: calc(100% / 3);
}

.psw-wizard-step:last-child:nth-child(4) {
    max-width: calc(100% / 4);
}

.psw-wizard-step:last-child:nth-child(5) {
    max-width: calc(100% / 5);
}

/*.psw-wizard-step:last-child:nth-child(6) {*/
/*    max-width: calc(100% / 6);*/
/*}*/

.psw-wizard-step:last-child:nth-child(7) {
    max-width: calc(100% / 7);
}

.psw-wizard-step:last-child:nth-child(8) {
    max-width: calc(100% / 8);
}

.psw-wizard-step:last-child:nth-child(9) {
    max-width: calc(100% / 9);
}

.psw-wizard-step:last-child:nth-child(10) {
    max-width: calc(100% / 10);
}

.psw-wizard-step.notShown {
    display: none;
    visibility: hidden;
}

.psw-wizard-step.disabled {}

.ui-datepicker-trigger {
    display: none;
}

.psw-datePickerIcon {
    float: right;
    margin-right: 10px;
    margin-top: -26px;
    position: relative;
    z-index: 1;
}

.psw-wizard-step-link {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    /* font-size: 1rem; */
    position: relative;
    text-decoration: none;
    z-index: 10;
    font-family: 'Open Sans', arial, helvetica, clean, sans-serif;
    font-weight: 100;
    font-style: normal;
    font-size: .94rem;
    color: #555555;
    line-height: 12px;
    text-rendering: optimizeLegibility;
    font-feature-settings: "kern" 1;
    -webkit-font-feature-settings: "kern";
    -moz-font-feature-settings: "kern";
    -moz-font-feature-settings: "kern=1";
    font-kerning: normal;
    font-variant: all-small-caps;
    margin: 5px 0;
}

.psw-wizard-step-link:before {
    margin-left: 20px;
    background: #D7D7D7;
    color: #828382;
    counter-increment: stepNo;
    content: counter(stepNo);
    display: block;
    font-size: 0.8rem;
    font-weight: 100;
    height: 25px;
    line-height: 25px;
    border-radius: 50%;
    margin-bottom: 12px;
    text-align: center;
    width: 25px;
    font-variant: none;
}

.psw-wizard-step-link:hover {
    color: #555555;
    font-weight: 700;
    text-decoration: none;
}

.psw-wizard-step-link:focus {
    color: #555555;
    font-weight: 700;
    text-decoration: none;
}

/* CURRENTLY SELECTED LINK */
.psw-wizard-step-link.psw-btn-current {
    color: #005398;
    font-weight: 700;
    text-decoration: none;
}

.psw-wizard-step-link.psw-btn-current:before {
    color: #FFFFFF;
    font-weight: 700;
    background-color: #005398;
    border: solid 1px #000000;
}

.psw-wizard-step-link.psw-btn-success {
    color: #005398;
    font-weight: 700;
    text-decoration: none;
    background: none;
    border: none;
}

.psw-wizard-step-link:hover:before {
    background: #7f7f7f;
    color: #FFFFFF;
}

.psw-wizard-step-link:focus:before {
    background: #7f7f7f;
    color: #FFFFFF;
}

.psw-wizard-step-link.psw-btn-success:before {
    background: #005398;
    color: #FFFFFF;
    border: none;
}

.psw-reviewEditButton {
    padding: 6px 12px;
    border: solid 1px #999999;
    background-color: #FFFFFF;
    margin-top: -40px;
    font-size: 0.8em;
    float: right;
}

.psw-reviewEditButton:hover {
    background-color: #DFDFDF;
}

h6.psw-ReviewPanelHeader {
    font-weight: 700;
    font-size: 0.94em;
    margin-bottom: 10px;
}

.psw-bold-label {
    font-weight: bold;
}

.input-group-prepend .btn,
.input-group-append .btn {
    position: relative;
    z-index: 1 !important;
}

.infomsg {
    color: #C75000;
    font-size: 0.9em;
}

#togglePassword{
    display: flex;
    justify-content: center;
    align-items: center;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

#list-container{
    list-style-type: none;
    height: 100%;
    margin: 0;
    padding: 0;
}

#list-cointainer{
    position: relative;
}

.proctorsessionform {
    padding: 2% 20%;
    height: 100%;
}

#psw-wizard-menu .psw-wizard{
    position: relative;
}

#psw-wizard-menu .psw-wizard .panel.panel-primary.psw-setup-content{
    position: absolute;
    width: 310px;
    left: calc(50% - 155px);
    flex-direction: row;
    justify-content: center;
    padding: 0!important;
    margin-top: 25px;
}

.psw-wizard-step{
    position: static!important;
}

.language-seat-settings{
    flex-wrap: nowrap!important;
}

.language-seat-settings .languageNameLabel{
    width: 50px;
}

@media only screen and (max-width: 992px){
    .header-links{
        display: block!important;
    }

    .header-links .header-item{
        display: none!important;
    }

    .header-links .header-item.dropdown, .header-links .dropdown-toggle.header-item{
        display: block!important;
    }

    .header-links .dropdown-toggle.header-item{
        display: flex!important;
        align-items: center;
        justify-content: flex-start;
        margin: 0!important;
    }

    .header-links .header-item.authenticated{
        margin: 0!important;
    }

    .header-links .dropdown-toggle.header-item span.welcome-user{
        display: flex;
        width: 40%;
        justify-content: space-around;
    }

    .main-navigation-row{
        flex-wrap: nowrap!important;
    }

    .proctorsessionform{
        padding: 2% 10%;
    }
}

@media only screen and (min-width: 768px){
    .proctorsessionform{
        padding: 2% 10%;
        min-height: 1550px;
    }
}

@media only screen and (max-width: 768px){
    .proctorsessionform{
        padding: 2% 0%!important;
        min-height: 1500px;
        margin-bottom: 100px;
    }

    .header-links .dropdown-toggle.header-item span.welcome-user{
        display: flex;
        width: 65%;
        justify-content: space-around;
    }

    .psw-wizard-step.psw-examType-print-shipping br{
        display: block;
    }
}

@media only screen and (min-width: 420px) {
    .psw-wizard-step-link:before{
        margin-left: 0!important;
    }

    .psw-wizard-step::before {
        border-top: 1px solid #D9D9D9;
        content: "";
        left: 9%;
        position: absolute;
        right: 9%;
        top: 18px;
    }

    .psw-wizard-step-link.psw-btn-success, .psw-wizard-step-link.psw-btn-default  {
        margin-bottom: 0px!important;
    }
}

@media only screen and (max-width: 420px) {
    .header-links .dropdown-toggle.header-item span.welcome-user{
        width: 100%;
    }

    .proctorsessionform{
        padding: 0!important;
        height: 100%;
    }

    #psw-wizard-menu ul.psw-wizard{
        flex-direction: column;
        border-left: 1px solid #d9d9d9;
    }

    li.psw-wizard-step{
        flex-direction: row;
        margin-bottom: 0!important;
    }

    #psw-step-review button.btn-primary.px-5.w-100{
        padding: 16px 7px!important;
        width: unset!important;
    }

    .panel.panel-primary{
        padding-left: 17px;

    }

    .psw-wizard-step-link{
        left: -32px;
    }

    #expeditedShippingModal .modal-footer {
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
    }

    #expeditedShippingmodal .modal-footer button.btn{
        width: 75%;
        margin: 0!important;
        display: block;
    }

    @media (min-width: 992px){
        .psw-policyModal {
            max-width: 80% !important;
        }
    }

    .psw-wizard-step:last-child:nth-child(6) {
        max-width: 100%;
    }

    .panel.panel-primary#psw-step-location .form-group.examAddressLocation,
    .panel.panel-primary#psw-step-mailingAddress .form-group.mailAddressLocation
    {
        margin-bottom: 1rem!important;
    }

    div#psw-step-examType.panel.panel-primary{
        top: 20px;
    }

    div#psw-step-dateTime.panel.panel-primary{
        top: 52px;
    }

    .panel.panel-primary#psw-step-location{
        top: 85px
    }

    div#psw-step-mailingAddress.panel.panel-primary{
        top: 120px;
    }

    div#psw-step-settings.panel.panel-primary{
        top: 140px;
    }

    div#psw-step-review.panel.panel-primary{
        top: 165px;
    }

    #psw-wizard-menu .psw-wizard .panel.panel-primary.psw-setup-content{
        width: 90%;
        left: 25px;
        margin-top: 0;
    }

    #list-container #psw-wizard-menu ul li a.psw-wizard-step-link{
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        text-align: left;
    }

    .psw-wizard-step-link:before{
        margin: 0 3px 0 20px;
    }

    .psw-wizard-step-link{
        margin: 10px 0 0;
    }

    a.psw-wizard-step-link[href="#psw-step-examType"] {
        margin-top: 0;
    }
}

/*
    Session LIST
*/
@media only screen and (max-width:420px) {
    table.data th,
    table.data td {
        display: block;
    }
    table.data th {
        display: none;
    }
}

.user-table-list-label{
    display: none;
}

.row {
    margin: 0 !important;
}

.btn-green {
    background-color: #006600;
    border: solid 2px transparent;
    font-weight: 800;
    letter-spacing: 0.05em;
    color: #FFFFFF;
    border-radius: 8px;
    text-shadow: 1px 1px #000000;
}

.btn-green:hover {
    background-color: #009900;
    border: solid 2px #00cc00;
    color: #FFFFFF;
}

.btn-nra-main {
    background-color: #005398;
    border: solid 1px #FFFFFF;
    font-weight: 800;
    letter-spacing: 0.05em;
    color: #FFFFFF;
    border-radius: 8px;
    text-shadow: 1px 1px #000000;
}

.btn-nra-main:hover {
    background-color: #007bff;
    border: solid 1px #3396ff;
    color: #FFFFFF;
}

table.data th {
    border: none;
    background-image: none;
    background-color: rgba(242, 242, 242, 1);
    color: black
}

table tr.odd {
    background-color: white;
}

table.data th,
table.data td {
    border: none;
}

table.data th {
    padding: 15px 10px 15px 10px;
}

table.data th * {
    color: black;
}

.odd {
    border-bottom: 1px solid rgba(242, 242, 242, 1);
}

.even {
    border-bottom: 1px solid rgba(242, 242, 242, 1);
}

.table th,
.table td {
    vertical-align: middle;
}

.paging-block {
    text-align: center;
}

table.data th.sort {
    background-color: rgba(242, 242, 242, 1);
}

table.data th.sort::after {
    color: black;
}

/* Session Details */
.session-details-scheduled-message,
.session-details-scheduled-message a,
.session-details-scheduled-message a:hover {
    color: white;
}

.session-details .bg-success {
    background-color: #7FBB8F !important;
}

.session-details .btn {
    font-size: .9em;
}

.session-details-title-area .btn {
    background-color: #FFFFFF;
}

.session-details-scheduled-message a {
    font-size: .8em;
}
.session-details-scheduled-message a:hover {
    font-size: .9em;
    text-decoration: none;
}
.session-details-breadcrumbs {
    font-size: .8em;
}

.session-details-cancel-text {
    font-size: .8em;
}

.session-details-autocancel-message-container {
    background-color: rgba(255, 255, 130, .2);
    padding: 5px;
}
.session-details-autocancel-message-container div:first-child{
    padding-left: 5px;
}
.session-details-autocancel-message-container div:nth-child(2) {
    padding-left: 10px;
    font-size: .8em;
}

.session-details-password-container input[type=checkbox] {
    display: none;
}

.session-details-password-container input[type=checkbox] + label:before{
    font-family: "Font Awesome 5 Pro";
    font-weight: 400;
    content:"\f070";
}

.session-details-password-container input[type=checkbox]:checked + label:before {
    content: "\f06e";
}

.session-details-password-container input[type=checkbox] + label:hover{
    cursor: pointer;
}

.session-details table.data,
.session-details .session-empty-table {
    border: solid thin #D7D7D7;
}
.session-details table.data th,
.session-details .empty-table-header {
    background-color: #D7D7D7;
}

.session-details table.data th > a,
.session-details table.data th > span {
    background-color: transparent;
}

.session-details .empty-table-header div {
    padding: 10px 0;
}

.session-details .empty-table-body div:first-child {
    margin-top: 5rem;
}

.session-details .empty-table-body div:nth-child(2) {
    margin-top: 1.5rem;
}

.session-details .empty-table-body div:last-child {
    margin-bottom: 5rem;
}

.session-details .invite-url-container{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
}

.proctor-details-autocancel-message-container{
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    background-color: #FFFFE7;
    padding: 5px 10px;
}

.proctor-details-autocancel-message-container > div{
    padding: 0;
}

.proctor-details-autocancel-message-container div:last-child span{
    font-size: .85rem;
}

@media only screen and (max-width: 768px){
    .session-details .session-details-body-area .session-details-time-location-details,
    .session-details .session-details-body-area .session-details-user-table-container{
        max-width: unset!important;
    }

    .session-details .session-details-body-area .session-details-location-users-container{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
    }

    .session-details .session-details-title-area .session-details-info-container div:empty{
        display: none;
    }
}

@media only screen and (max-width: 500px){
    .session-details .session-details-title-area{
        background-color: #fff;
    }

    .session-details .alignment-col-div, .session-details .empty-table-header{
        display: none!important;
    }

    .session-details .session-empty-table{
        margin-top: 10px!important;
    }

    .session-details .session-details-title-area .container:first-child{
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      background-color: #fff;
        width: 100%;
    }

    .session-details .session-details-title-area .session-details-exam-info{
        width: 100%;
        background-color: #f0f0f0;
        max-width: unset!important;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        padding: 10px 15px;
        flex-basis: auto;
    }

    .session-details .session-details-title-area .edit-print-buttons{
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: left!important;
        flex-basis: auto!important;
        margin-top: 10px;
    }

    .session-details .session-details-title-area .edit-print-buttons div{
        width: 75%;
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: flex-start;
        text-align: left!important;
    }

    .session-details .session-details-body-area .session-details-location-users-container{
        margin-top: 0!important;
    }

    .session-details .session-details-title-area a.session-edit-link{
        width: 100%;
        padding: 10px 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .session-details .session-details-title-area .session-download-link{
        padding: 10px 15px;
    }

    .session-details .session-details-body-area .session-details-time-location-details{
        align-items: flex-start;
        width: 75%;
    }

    .session-details .session-details-title-area .edit-print-buttons{
        padding: 0;
    }

    .session-details .session-details-body-area .session-details-status-cancel a.btn.btn-outline-secondary{
        width: 100%;
        padding: 10px 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .session-details .session-details-body-area .session-details-user-table{
        width: 100%;
    }

    .session-details .session-details-body-area .session-details-user-table div:first-child{
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        align-items: center;
        padding: 4px 8px;
        background-color: #d7d7d7;
        width: 100%;
    }

    .session-details .session-details-body-area .session-details-user-table div:first-child div:first-child:empty{
        display: none;
    }

    .proctor-session-examinee-header{
        text-align: left!important;
    }

    .proctor-session-examinee-header span:first-child{
        font-weight: bold;
    }

    .session-details .session-details-body-area .session-enroll-link-container{
        width: 40%;
        display: flex;
        flex-basis: auto!important;
        padding: 0!important;
        max-width: unset;
    }

    .session-details .session-details-user-table .proctor-session-examinee-header span:first-child{
        margin-right: 6px;
    }

    .session-details .session-details-body-area a.session-enroll-link{
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #fff;
        padding: 10px 5px;
    }

    .session-details .session-details-breadcrumbs{
        padding: 0 30px;
    }

    .session-details .session-details-user-table div:nth-child(2){
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-start;
    }

    .session-details .session-details-user-table thead{
        display: none;
    }

    .session-details .session-details-user-table tbody tr{
        width: 100%;
        height: 200px;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        align-items: flex-start;
        margin: 1rem 0;
        padding: 0px 10px;
    }

    .session-details .session-details-user-table tbody tr td:last-of-type{
        width: 100%;
        border-top: 1px solid #d0d0d0;
        padding: 15px 0 5px;
        justify-content: center;
        align-items: center;
        height: 60px;
        box-sizing: border-box;
        display: flex;
    }

    .session-details .session-details-user-table tbody tr td button{
        height: 100%;
        width: 75%;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #fff;
        border: .14em solid #d0d0d0;
    }

    .session-details .session-details-user-table tbody tr td:nth-child(1){
        display: none;
    }

    .enrolled-user-list-item{
        padding: 0!important;
        display: flex!important;
        justify-content: flex-start;
        align-items: center;
        height: 25px!important;
        width: 100%;
    }

    .enrolled-user-list-item .user-table-list-label{
        font-weight: bold;
        width: 60px;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        height: 100%;
        margin-right: 8px;
    }

    .enrolled-user-list-item span:nth-child(2){
        font-weight: normal;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        height: 100%;
    }

    .session-details .session-details-user-table div:nth-child(2) .even,
    .session-details .session-details-user-table div:nth-child(2) .odd{
        border-bottom: none;
    }
}

.used-unused-exam-panel {
    display:none;
}

/* commenting the line below as NRA wanted to see the enroll button now
.session-enroll-link {
    display:none !important;
}*/

.session-keys{
    display:none;
}
